Xbit
  1. Payment
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Payment

Create a new payment

POST
https://newsupport.xbit.pro/api/v1/payment
Payment
Creates a payment request and returns a payment URL where the customer should be redirected to complete the payment. After successful payment, a webhook notification will be sent to your configured webhook URL, and the customer will be redirected to your web redirect URL. For EUR payments, additional customer information (address, birthDate, countryCode, zipCode, city) is required.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Payment created successfully
Body

🟠400
🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/payment' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "amountInCents": 10050,
    "currency": "UAH",
    "firstName": "John",
    "lastName": "Doe",
    "isAutoCodeRedeem": true
}'
Response Response Example
201 - Example 1
{
    "paymentId": "43066701-0111-412c-8a0c-b8c06800449d",
    "paymentUrl": "https://payment-gateway.com/pay/abc123",
    "message": "Payment created successfully"
}
Previous
Calculate payment amount with commission
Next
Get payment details by payment ID
Built with